Issue1477

classification
Title: os.setpgrp and posix.setpgrp fail with TypeError
Type: Severity: major
Components: Library Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pjenvey Nosy List: pjenvey, public.marvin
Priority: Keywords: patch

Created on 2009-09-28.16:22:22 by public.marvin, last changed 2009-11-16.01:59:17 by pjenvey.

Files
File name Uploaded Description Edit Remove
os.py.patch public.marvin, 2009-09-28.16:22:21
Messages
msg5197 (view) Author: marvin greenberg (public.marvin) Date: 2009-09-28.16:22:21
os.setpgrp fails with TypeError: setpgrp() takes no arguments (2 given).
 This delegates down to os._posix.setpgrp() that requires 2 arguments. 
A possible patch is attached. 

Python docs suggest that os.setpgrp may take either 0 or 2 arguments,
depending on the underlying implementation. 

Workaround:  Use os._posix.setpgrp directly.  Functionality seems to be
there.
msg5198 (view) Author: marvin greenberg (public.marvin) Date: 2009-09-28.16:25:49
This was tested on linux fedora 10 OpenJDK 1.6.0 and OSX Leopard with
Java 1.5.0_19
msg5311 (view) Author: Philip Jenvey (pjenvey) Date: 2009-11-16.01:59:16
fixed in r6945
History
Date User Action Args
2009-11-16 01:59:17pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg5311
2009-10-20 04:27:36pjenveysetassignee: pjenvey
nosy: + pjenvey
2009-09-28 16:25:49public.marvinsetmessages: + msg5198
2009-09-28 16:22:22public.marvincreate